Update a page
curl --request PATCH \
--url https://connie.ai/api/pages/{id} \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"parent_id": "<string>",
"invited_users": [
{
"userId": "<string>"
}
],
"is_folder": true
}
'import requests
url = "https://connie.ai/api/pages/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"tags": ["<string>"],
"parent_id": "<string>",
"invited_users": [{ "userId": "<string>" }],
"is_folder": True
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
icon: '<string>',
tags: ['<string>'],
parent_id: '<string>',
invited_users: [{userId: '<string>'}],
is_folder: true
})
};
fetch('https://connie.ai/api/pages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"access_type": "everyone",
"article_count": 123,
"sources_count": 123,
"source_labels": [
"<string>"
],
"total_tokens": 123,
"tags": [
"<string>"
],
"last_synced_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_folder": true,
"parent_id": "<string>",
"is_favorited": true,
"children_count": 123
}Pages
Update a page
Updates page properties. Validates parent_id cycle prevention. Replaces entire invited_users list if provided. Broadcasts KB_STRUCTURE_CHANGE events. Returns 409 if update would create a cycle.
PATCH
/
pages
/
{id}
Update a page
Authorizations
Path Parameters
Page ID
Body
application/json
Response
page updated
Available options:
everyone, invited